Subject: Re: bug#22157: html renderer shr - Links open twice in external browser

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 06 May 2016 10:37:07 +0900

The change 72166f2f3dba18f1217c666574032f5a0351ed65 seems to have
fixed this bug.

On Tue, 03 May 2016 06:39:44 +0000, Martin Rudalics wrote:
>     Bind `widget-button-click' to mouse-1/-2 instead of down-mouse-1/-2

>     * lisp/wid-edit.el (widget-keymap): Bind `widget-button-click'
>     to mouse-1/-2 instead of down-mouse-1/-2.  Suggested by Stefan
>     Monnier.  (Bug#19185, Bug#20398)

cf. <http://article.gmane.org/gmane.emacs.diffs/135579>

To try the old `widget-keymap' definition to reproduce the bug,
I needed to eval the following form, that exists in gnus-art.el,
after reverting the `widget-keymap' definition:

(set-keymap-parent gnus-article-mode-map widget-keymap)

With this, I learned that `set-keymap-parent' uses a copy of
a parent keymap, i.e., a change made in a parent keymap has no
effect on *this* keymap.